Run a search described as an unsaved saved search

Sends the query, filters, and pagination parameters as a saved search's criteria and returns the matching content, without storing a saved search. Supports similarity search and scoring thresholds.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The search query string

integer
required

The page offset for pagination

integer
required

The page size for results

filters
array of objects
required

Array of filter objects to apply to the search

filters*
sortFields
array of objects
required

Array of sort field objects for ordering results

sortFields*
searchResultFields
array of objects
required

Fields to include in results. Currently not applied: this endpoint replaces them with its deprecated returnedFieldNames query parameter

searchResultFields*
string
required

The ID of an asset to find similar results for

integer
required

The minimum relevance score threshold for results

boolean
required

Whether to exclude the total record count from results

string
required

The logical binder for combining filters (e.g., "AND", "OR")

Responses
200

Success

400

Bad Request

401

The caller is not authenticated

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!